Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357196 - [abrt] pulseview: sigrok::Driver::scan_options(): pulseview killed by SIGSEGV
Summary: [abrt] pulseview: sigrok::Driver::scan_options(): pulseview killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseview
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alex G.
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6205c75917b949c60bbcf7b567c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-16 11:43 UTC by steubens
Modified: 2017-06-27 01:51 UTC (History)
2 users (show)

Fixed In Version: pulseview-0.4.0-1.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-27 01:51:24 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: cgroup (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: core_backtrace (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: dso_list (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: environ (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: exploitable (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: limits (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: maps (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: mountinfo (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: namespaces (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: open_fds (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: proc_pid_status (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details
File: var_log_messages (deleted)
2016-07-16 11:43 UTC, steubens
no flags Details

Description steubens 2016-07-16 11:43:00 UTC
Description of problem:
i was playing around in the device window, if i selected the very last driver it would crash; additionally i had an unsupported device plugged in.

(it would do it with some other drivers too, but don't know which)

Version-Release number of selected component:
pulseview-0.3.0-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        pulseview
crash_function: sigrok::Driver::scan_options
executable:     /usr/bin/pulseview
global_pid:     25200
kernel:         4.6.3-300.fc24.i686
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sigrok::Driver::scan_options at bindings/cxx/classes.cpp:413
 #1 pv::dialogs::Connect::device_selected at /usr/src/debug/pulseview-0.3.0/pv/dialogs/connect.cpp:200
 #2 pv::dialogs::Connect::qt_static_metacall at /usr/src/debug/pulseview-0.3.0/pv/dialogs/moc_connect.cxx:50
 #3 QMetaObject::activate at kernel/qobject.cpp:3567
 #4 QComboBox::activated at .moc/release-shared/moc_qcombobox.cpp:287
 #5 QComboBoxPrivate::emitActivated at widgets/qcombobox.cpp:1261
 #6 QComboBoxPrivate::_q_itemSelected at widgets/qcombobox.cpp:1252
 #7 QComboBox::qt_static_metacall at .moc/release-shared/moc_qcombobox.cpp:167
 #8 QMetaObject::activate at kernel/qobject.cpp:3567
 #9 QComboBoxPrivateContainer::itemSelected at .moc/release-shared/moc_qcombobox_p.cpp:252

Comment 1 steubens 2016-07-16 11:43:04 UTC
Created attachment 1180403 [details]
File: backtrace

Comment 2 steubens 2016-07-16 11:43:05 UTC
Created attachment 1180404 [details]
File: cgroup

Comment 3 steubens 2016-07-16 11:43:07 UTC
Created attachment 1180405 [details]
File: core_backtrace

Comment 4 steubens 2016-07-16 11:43:08 UTC
Created attachment 1180406 [details]
File: dso_list

Comment 5 steubens 2016-07-16 11:43:10 UTC
Created attachment 1180407 [details]
File: environ

Comment 6 steubens 2016-07-16 11:43:11 UTC
Created attachment 1180408 [details]
File: exploitable

Comment 7 steubens 2016-07-16 11:43:12 UTC
Created attachment 1180409 [details]
File: limits

Comment 8 steubens 2016-07-16 11:43:15 UTC
Created attachment 1180410 [details]
File: maps

Comment 9 steubens 2016-07-16 11:43:16 UTC
Created attachment 1180411 [details]
File: mountinfo

Comment 10 steubens 2016-07-16 11:43:18 UTC
Created attachment 1180412 [details]
File: namespaces

Comment 11 steubens 2016-07-16 11:43:21 UTC
Created attachment 1180413 [details]
File: open_fds

Comment 12 steubens 2016-07-16 11:43:24 UTC
Created attachment 1180414 [details]
File: proc_pid_status

Comment 13 steubens 2016-07-16 11:43:28 UTC
Created attachment 1180415 [details]
File: var_log_messages

Comment 14 Fedora Update System 2017-06-19 00:06:24 UTC
pulseview-0.4.0-1.fc25 sigrok-cli-0.7.0-1.fc25 libsigrokdecode-0.5.0-1.fc25 libsigrok-0.5.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-580a9a0a1a

Comment 15 Fedora Update System 2017-06-19 15:51:33 UTC
libsigrok-0.5.0-1.fc25, libsigrokdecode-0.5.0-1.fc25, pulseview-0.4.0-1.fc25, sigrok-cli-0.7.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-580a9a0a1a

Comment 16 Fedora Update System 2017-06-27 01:51:24 UTC
libsigrok-0.5.0-1.fc25, libsigrokdecode-0.5.0-1.fc25, pulseview-0.4.0-1.fc25, sigrok-cli-0.7.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.